<?php
//title Default Squeeze Form
//Do not change this line unless you're making a new form

//($opt_is_secured_page);

$images_href = plugins_url('/opt/optin_forms/images/');

//Create defaults
if($opt_link_id=='' || $opt_link_id == 0 || $opt_form_use_default_settings == 1) {

	if($opt_link_id=='') { $opt_link_id = 0; }	
	
	unset($opt_form_data);
	
	//Overall layout
	$opt_form_data['overlay_bg_color']='#000';
	$opt_form_data['overlay_opacity']='80';
	$opt_form_data['form_bg_color']='#fff';
	$opt_form_data['form_padding']='10px 0 0 0';
	$opt_form_data['form_width']='600px';
	
	//Header
	$opt_form_data['header_text'] = 'Secured content';
	$opt_form_data['header_success_text'] = 'Success!';
	$opt_form_data['header_waiting_text'] = 'Waiting for confirmation';
	$opt_form_data['header_font-family']='"Helvetica Neue", Helvetica, "Open Sans", Arial';
	$opt_form_data['header_font-size']='23px';
	$opt_form_data['header_line-height']='29px';
	$opt_form_data['header_color']='#000';	
	
	//Subheader
	$opt_form_data['subheader_text'] = 'Enter your email address below and press continue for instant access!';
	$opt_form_data['subheader_success_text'] = 'Thanks for subscribing! You\'ll be redirected in a couple seconds.';
	$opt_form_data['subheader_waiting_text'] = 'Click the confirmation link in your email to finalize your subscription!';
	$opt_form_data['subheader_font-family']='"Droid Sans", "Open Sans", Arial';
	$opt_form_data['subheader_font-size']='16px';
	$opt_form_data['subheader_line-height']='24px';
	$opt_form_data['subheader_color']='#333';
	$opt_form_data['subheader_margin']='0';	
	
	//Form Field	
	
	//Submit Button	
	$opt_form_data['button_text'] = 'Get Instant Access';
	$opt_form_data['button_type'] = 'gradient';
	$opt_form_data['button_color'] = '#0088cc';
	$opt_form_data['button_border_radius'] = 5;
	
	//Finetext
	$opt_form_data['finetext_text'] = 'We respect your privacy. We do not sell or share your information with anyone.';
	$opt_form_data['finetext_font-family']='"Droid Sans", "Open Sans", Arial';
	$opt_form_data['finetext_font-size']='11px;';
	$opt_form_data['finetext_line-height']='1.7';
	$opt_form_data['finetext_color']='#aaa';
	$opt_form_data['finetext_margin']='10px 0 0 0';
	
	
	//Success Text
	$opt_form_data['waiting_text']='This page will be redirected automatically once you\'re confirmed';
	$opt_form_data['redirect_text']='One moment while you\'re redirected...';
	$opt_form_data['access_text']='Accessing Secure Content Now';
	
	
	
	if($return_form_data_only===1) { return; }
	
}


/*//Load existing settings
if($opt_link_id!=0 && $wpdb) {




}*/


?>
<style type="text/css">

@import url(https://fonts.googleapis.com/css?family=Droid+Sans);

.optin_reset {
	padding:0;
	margin:0;
	border:none;
	line-height:inherit;
	border-radius: 0;
	box-shadow:none;
}

.optin_link_overlay<?= $opt_link_id ?> {
	
	/* Positioning */
	position:fixed;
	top:0;
	left:0;
	
	/* Sizing */
	width:100%;
	height:100%;
	
	/* Effects */
	opacity:<?= $opt_form_data['overlay_opacity']/100 ?>;
	filter:Alpha(opacity=<?= $opt_form_data['overlay_opacity'] ?>);
	z-index:1000000;
	background:<?= $opt_form_data['overlay_bg_color']; ?>;

	display:none;

}

.optin_link_form<?= $opt_link_id ?> {
	
	/* Positioning */
	margin-left:auto;
	margin-right:auto;	
	
	/* Sizing */
	max-width:<?= $opt_form_data['form_width'] ?>;	
	
	/* Spacing */
	padding:<?= $opt_form_data['form_padding'] ?>;
	
	/* Effects */	
	z-index:1020000;
	opacity:1.0;
	background:<?= $opt_form_data['form_bg_color'] ?>;
	filter:Alpha(opacity=100);
	box-shadow: 0 0 20px rgba(0, 0, 0, 0.8);
	
}

.optin_link_form_container<?= $opt_link_id ?> {
	
	/* Positioning */
	position:fixed;
	left:5%;
	right:5%;
	top:24%;
	
	/* Effects */	
	z-index:1010000;

	display:none;
	
}

.optin_link_form_header<?= $opt_link_id ?> {

	font-weight: bold; 
	font-family: <?= $opt_form_data['header_font-family'] ?>; 
	color: <?= $opt_form_data['header_color'] ?>;
	font-size: <?= $opt_form_data['header_font-size'] ?>; 
	line-height: <?= $opt_form_data['header_line-height'] ?>;
	text-align: center; 
	display:block;
	padding:10px 0 7px 0;
	margin:0;
	border-bottom:1px #eee solid;
	
}

.optin_link_form_subheader<?= $opt_link_id ?> {
	
	text-align:center;
	color: <?= $opt_form_data['subheader_color'] ?>;
	font-size: <?= $opt_form_data['subheader_font-size'] ?>;  
	font-family: <?= $opt_form_data['subheader_font-family'] ?>; 
	line-height: <?= $opt_form_data['subheader_line-height'] ?>; 
	margin: <?= $opt_form_data['subheader_margin'] ?>; 
	padding-top:10px;

}

.optin_link_form_finetext<?= $opt_link_id ?> {
	
	background: none repeat scroll 0% 0%; 
	background-color: <?= $opt_form_data['finetext_background-color'] ?>;
	
	color: <?= $opt_form_data['finetext_color'] ?>;
	font-size: <?= $opt_form_data['finetext_font-size'] ?>; 
	text-align: center; 
	font-family: <?= $opt_form_data['finetext_font-family'] ?>; 
	line-height: <?= $opt_form_data['finetext_line-height'] ?>; 
	margin: <?= $opt_form_data['finetext_margin'] ?>; 
	

	
}

.optin_link_form_poweredby<?= $opt_link_id ?> {
		
	margin-top:15px;
	opacity:0.5;
	filter:Alpha(opacity=50);
	display:block;
	float:left;
	text-align:center;
	width:100%;
	display:none;
	
}

.optin_link_form_poweredby<?= $opt_link_id ?>:hover {
		
	opacity:1.0;
	filter:Alpha(opacity=100);
	
}


.optin_link_form_field<?= $opt_link_id ?> {
	
	text-shadow: none !important; 
	border-radius: 0px !important; 
	font-family: "Droid Sans", "Open Sans", Arial !important; 
	font-size: 15px !important; 
	width:100% !important;
	margin:0;
	margin-top:5px; 
	background: none repeat scroll 0px 0px rgb(255, 255, 255) !important; 
	color: rgb(17, 17, 17) !important; 
	padding: 15px 2% !important; 
	box-shadow: none !important; 
	border: 1px solid rgb(179, 196, 203) !important; 
		
}

.optin_link_form_field_error<?= $opt_link_id ?> {
	
	text-shadow: none !important; 
	border-radius: 0px !important; 
	font-family: "Droid Sans", "Open Sans", Arial !important; 
	font-size: 15px !important; 
	display: inline !important; 
	width:95% !important;
	margin:0; 
	background: none repeat scroll 0px 0px rgb(255, 100, 100 !important); 
	color: rgb(17, 17, 17) !important; 
	padding: 15px 2% !important; 
	box-shadow: none !important; 
	border: 1px solid #f00 !important; 
		
}



.optin_link_form_redirecting<?= $opt_link_id ?> {
	
  background-color: #FFFAEC;
  border: 1px solid #FFD79F;
  color:#222;
  font-family: "Droid Sans","Open Sans",Arial;
  font-size: 15px;
  font-weight: bold;
  padding: 10px;
  margin-top:10px;
  text-align:center;
	
}

.optin_link_form_redirecting_link<?= $opt_link_id ?> {
	
	color:rgb(80, 127, 164);
	text-decoration:none;
	font-weight:bold;
	
}

.optin_link_form_redirecting_link<?= $opt_link_id ?>:hover {
	
	color:#222;
	
}

.optin_bottom_container<?= $opt_link_id ?> {
	text-align: center;
	margin:0;
	background: none repeat scroll 0px 0px rgb(245, 245, 245);
	border-top: 1px solid rgb(221, 221, 221);
	box-shadow: 0px 1px 0px rgb(255, 255, 255) inset;
	width: 100%;
	border-radius:0;
	line-height: 56px;
	vertical-align:middle;
	display:block;
	padding-bottom:10px;
	padding-top:5px;
}

.optin_link_no_thanks<?= $opt_link_id ?>:link {
	
  color: #0088cc;
  font-family: "Droid Sans","Open Sans",Arial;
  margin-right: 10px;
  text-decoration: none;
  
}

.optin_link_no_thanks<?= $opt_link_id ?>:hover {
	
  color: #777;
  font-family: "Droid Sans","Open Sans",Arial;
  margin-right: 10px;
  text-decoration: none;
	
}

.optin_font<?= $opt_link_id ?> {

  font-family: "Droid Sans","Open Sans",Arial;	
	
}


</style>

<div id="optin_link_overlay<?= $opt_link_id ?>" class="optin_link_overlay<?= $opt_link_id ?>"><?= opt_poweredby() ?></div>

<div id="optin_link_form_container<?= $opt_link_id ?>" onMouseover="opt_form_hover(<?=$opt_link_id?>,<?=$opt_split_test_item_id?>);" onClick="opt_form_click(<?=$opt_link_id?>,<?=$opt_split_test_item_id?>);" class="optin_link_form_container<?= $opt_link_id ?>">

	<div id="optin_link_form<?= $opt_link_id ?>" class="optin_link_form<?= $opt_link_id ?>">
    
        <div style="margin:0 23px 10px 23px;">
        	
                <img src="<?=$images_href?>close.png" id="optin_link_form_close<?=$opt_link_id?>" onClick="opt_form_close(<?=$opt_link_id?>,<?=$opt_split_test_item_id?>);" style="box-shadow: none; cursor: pointer; display: inline-block; float: right;  margin-right: -9px; margin-top: 11px;">
            
            <div id="optin_link_header_text<?= $opt_link_id ?>" class="optin_link_form_header<?= $opt_link_id ?>" style=" <?php if($opt_form_data['header_text'] == '') { echo 'display:none';  }?> ">
                <?= $opt_form_data['header_text'] ?>
            </div>      
            
            <div id="optin_link_subheader_text<?= $opt_link_id ?>" class="optin_link_form_subheader<?= $opt_link_id ?>" style=" <?php if($opt_form_data['subheader_text'] == '') { echo 'display:none';  }?> ">
                <?= $opt_form_data['subheader_text'] ?>
            </div>     
            
            <div id="optin_link_name_field_container<?= $opt_link_id ?>">   
            	<?php if($opt_form_data['show_name_field'] == 1) { ?>
      			<input type="text" name="name" placeholder="Enter your name" value="<?php if(isset($_GET['optinlinks_name'])) { echo $_GET['optinlinks_name']; } ?>" class="optin_link_form_field<?= $opt_link_id ?>" id="optin_link_form_name<?= $opt_link_id ?>">
            	<?php } ?>
            </div>
            
            <input type="email" name="email" placeholder="Enter your email address" value="<?php if(isset($_GET['optinlinks_email'])) { echo $_GET['optinlinks_email']; } ?>" class="optin_link_form_field<?= $opt_link_id ?>" id="optin_link_form_email<?= $opt_link_id ?>">
                           
        
        </div>
        <div class="optin_bottom_container<?= $opt_link_id ?>">
        
            <div style="margin-left:auto; margin-right:auto; width:100%;">
            <?php 
            
            if(isset($opt_form_data['button_text'])) { 
            
                echo opt_button_generator($opt_form_data['button_type'],'submit',$opt_form_data['button_color'],$opt_form_data['button_border_radius'],$opt_link_id,$opt_form_data['button_text'],'style="width:80%; font-size:18px; text-align:center; margin-left:auto; margin-right:auto;"'); 
        
            } 
            
            ?>
            </div>
        
            <div id="optin_link_finetext_text<?= $opt_link_id ?>" class="optin_link_form_finetext<?= $opt_link_id ?>" style=" <?php if($opt_form_data['finetext_text'] == '') { echo 'display:none';  }?> ">
                <?= $opt_form_data['finetext_text'] ?>
				<?php if($opt_optin_not_required) { ?>
                <a href="javascript:void(0)" class="optin_link_no_thanks<?= $opt_link_id ?>" id="optin_link_form_no_thanks<?=$opt_link_id?>" onClick="opt_form_no_thanks(<?=$opt_link_id?>);">No thanks</a>
                <?php } ?>
            </div>     
            
            <div id="optin_link_form_processing<?= $opt_link_id ?>" style="font-style:italic; display:none; text-align:center; margin-left:30px;">Processing<span id="optin_link_process_dots<?= $opt_link_id ?>" class="optin_font<?= $opt_link_id ?>"></span></div>   
                     
            <div id="optin_link_form_error<?= $opt_link_id ?>" style="color:#f00; display:none; text-align:center;" class="optin_font<?= $opt_link_id ?>">Invalid details, please check your info.<span id="optin_link_process_dots<?= $opt_link_id ?>"></span></div>   

        
        
        </div>
        
        <?php if( current_user_can('edit_posts') && (empty($_GET['page']) || (isset($_GET['page']) && $_GET['page']!='opt/admin_pages/opt_admin_forms.php'))) { ?>
        
            <div style="background-color:#fee; padding:10px;">
                <div style="color:#f00; font-weight:bold;">You are currently logged in as an admin.</div>
                Stats will not track, if you wish to test your tracking please either log out of Wordpress, use incognito mode on your browser, or use a different browser.
        	</div>
        
        <?php } ?>
        
    </div>
    
	<div id="optin_link_form_waiting<?= $opt_link_id ?>" class="optin_link_form<?= $opt_link_id ?>" style="display:none;">
    
        <div style="margin:0 30px 0 30px; padding-bottom:30px;">
            
            <div style="float:right; margin-top:6px; margin-right:-20px;">
                <img src="<?=$images_href?>loading.gif" style="box-shadow:none;" class="optin_reset" id="optin_link_waiting_image<?= $opt_link_id ?>">
            </div>
            
            <div id="optin_link_header_waiting_text<?= $opt_link_id ?>" class="optin_link_form_header<?= $opt_link_id ?>" style=" <?php if($opt_form_data['header_waiting_text'] == '') { echo 'display:none';  }?> ">
                <?= $opt_form_data['header_waiting_text'] ?>
            </div>
            
            <div id="optin_link_subheader_waiting_text<?= $opt_link_id ?>" class="optin_link_form_subheader<?= $opt_link_id ?>" style=" <?php if($opt_form_data['subheader_waiting_text'] == '') { echo 'display:none';  }?> ">
                <?= $opt_form_data['subheader_waiting_text'] ?>
            </div>          
            
            <div id="optin_link_waiting_text<?= $opt_link_id ?>" class="optin_link_form_redirecting<?= $opt_link_id ?>" style=" <?php if($opt_form_data['waiting_text'] == '') { echo 'display:none';  }?> ">        	
                <?= $opt_form_data['waiting_text'] ?> <a href="" style="display:none;" id="optin_link_form_redirecting_link<?= $opt_link_id ?>" class="optin_link_form_redirecting_link<?= $opt_link_id ?>">http://www.yoursite.com/yoursecurelink</a>
            </div>  
        
   		</div>
    
    </div>
    
	<div id="optin_link_form_success<?= $opt_link_id ?>" class="optin_link_form<?= $opt_link_id ?>" style="display:none;">
    
        <div style="margin:0 30px 0 30px; padding-bottom:30px;">
            
            <div style="float:right; margin-top:6px; margin-right:-20px;">
                <img src="<?=$images_href?>loading.gif" style="box-shadow:none;" class="optin_reset" id="optin_link_success_image<?= $opt_link_id ?>">
            </div>
            
            <div id="optin_link_header_success_text<?= $opt_link_id ?>" class="optin_link_form_header<?= $opt_link_id ?>" style=" <?php if($opt_form_data['header_success_text'] == '') { echo 'display:none';  }?> ">
                <?= $opt_form_data['header_success_text'] ?>
            </div>
            
            <div id="optin_link_subheader_success_text<?= $opt_link_id ?>" class="optin_link_form_subheader<?= $opt_link_id ?>" style=" <?php if($opt_form_data['subheader_success_text'] == '') { echo 'display:none';  }?> ">
                <?= $opt_form_data['subheader_success_text'] ?>
            </div>           
            
            <div id="optin_link_redirect_text<?= $opt_link_id ?>" class="optin_link_form_redirecting<?= $opt_link_id ?>" style=" <?php if($opt_form_data['redirect_text'] == '') { echo 'display:none';  }?> ">        	
                <?= $opt_form_data['redirect_text'] ?> <a href="" style="display:none;" id="optin_link_form_redirecting_link<?= $opt_link_id ?>" class="optin_link_form_redirecting_link<?= $opt_link_id ?>">http://www.yoursite.com/yoursecurelink</a>
            </div>    
            
            <div id="optin_link_form_accessing<?= $opt_link_id ?>" class="optin_link_form_redirecting<?= $opt_link_id ?>" style="display:none;">
                <?= $opt_form_data['access_text'] ?>
            </div>  
        
   		</div>
    
    </div>
    
</div>
<script type="text/javascript">opt_form_onload(<?= $opt_link_id ?>);</script>
<?php
/*
Don't remove this. The code needs to be in php mode at the end here for eval to work,
and it needs some kind of statement before the closing tag, but we don't have any more php to run, hence 1==1. 
*/  
1==1;
?>